Subject: bug#56188: 28.1; blink-matching-paren works wrong with non-ASCII parentheses

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 24 Jun 2022 20:42:25 +0200

Eli Zaretskii <[email-masked]> writes:

>> When the cursor is before 【ghi】, highlighting is not done.
>> When the cursor is after  【ghi】, 'd' is highlighted.
>> when the cursor is before 【123】, '6' is highlighted.
>> when the cursor is after  【123】, highlighting is not done.
>
> Looks like this is intentional: see the variable
> multibyte-syntax-as-symbol.  It is t in these two modes.  If you set
> it to nil, you get the behavior you expect.
>
> So it looks like there's no bug here.

I didn't understand what you meant first, but the issue is that there
are no spaces here:

  def【ghi】

I.e., this is one symbol consisting of eight characters.

However, the surprising thing is that it's blinking at all here.  If 】
is symbol constituent, then no blinking should happen, I think?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no